/*
 * C'Gol
 * Project based on Conway's Game of Life
 * 
 * Made by:
 * Alexander Noss
 * Christian Rautenberg
 * David Zentner
 * Philipp Erler
 * Stephan Schneider
 * 
 * As IT project for summer-semester 2011 (Group IT2D)
 * 
 * ####################################################################
 * field update
 * Part of C'Gol C-DLL
 * ####################################################################
 * 
 * Last change:     2011 | 07 | 04
 * 
 * Mail me for feedback, version requests etc.: 	ph.erler@gmx.net
 * Look at http://www.hs-esslingen.de/~pherit00/website/index.htm
 * .Net - Framework 4.0 must be installed.
 * 
 */


#ifndef FIELDUPDATE_H_
	#define FIELDUPDATE_H_

	#include <stdio.h>
	#include <stdlib.h>
	#include "globals.h"
	
	// algorithm calculating the next generation
	extern __declspec(dllexport) int updateField();

	// get number of living cells
	extern __declspec(dllexport) int getAlive();

	// get number of dead cells
	extern __declspec(dllexport) int getDead();

	// get number of born cells
	extern __declspec(dllexport) int getBorn();

	// get number of gone cells
	extern __declspec(dllexport) int getGone();
	
#endif