/*
 * C'Gol
 * Project based on Conway's Game of Life
 * 
 * Made by:
 * Alexander Noss
 * Christian Rautenberg
 * David Zentner
 * Philipp Erler
 * Stephan Schneider
 * 
 * As IT project for summer-semester 2011 (Group IT2D)
 * 
 * ####################################################################
 * File Operations
 * Part of C'Gol C-DLL
 * ####################################################################
 * 
 * Last change:     2011 | 07 | 04
 * 
 * Mail me for feedback, version requests etc.: 	ph.erler@gmx.net
 * Look at http://www.hs-esslingen.de/~pherit00/website/index.htm
 * .Net - Framework 4.0 must be installed.
 * 
 */


/*
Informatik Project SS2011
Semester:		IT2D
Author:			Alexander Noss
Version:		02.06.2011/17:30
*/

// compile with: /EHsc /LD

#include "fileOp.h"

int loadField(char filenumber)
{
	int x=0;			//x-coordinate of field
	int y=0;			//y-coordinate of field
	int i;				//count variables
	char c;				//cache for character
	int elements;
	int tempFieldSize;	//temporary

	FILE *file;
	char filename[] = " .txt";
	filename[0] = filenumber;					//convert character to the right dec of number
	file = fopen(filename, "r");				//open file

	//Check whether file can open or not
	if (file == NULL){
		printf("Can't open file!");
		return 1;
	}

	fscanf(file, "%d", &tempFieldSize);		//reads fieldsize from file
	fgetc(file);							//jump over first newline
	newField(tempFieldSize);				//creates new field
	elements = fieldSize * fieldSize + fieldSize; //number of rest characters in file
	
	//function to read the numbers and save them in the new field
	for (i = 0; i <= elements; i++){
		c = fgetc(file);
		if (c != '\n')
		{
			ptrptrField[x][y] = c - '0';
			x++;			//next column
		}
		else if (c == '\n')
		{ 
			y++;			//next line
			x = 0;			//reset columns to first one
		}
	}

	fclose(file);
	return 0;
	//system("pause");
}
//------------------------------------------------------------------------------------------------

/*
Informatik Project SS2011
Semester:		IT2D
Author:			David Zentner
*/

int saveField(char nameChar)
{
	FILE *text;
	char nameTxt[]=" .txt";
	nameTxt[0]=nameChar;

	text=fopen(nameTxt, "w+b");

	if(NULL != text)
	{
		int y;
		int x;
		
		fprintf(text, "%d\n", fieldSize);
		
		for(y = 0; y < fieldSize; ++y)
		{
			for(x = 0; x < fieldSize; ++x)
			{
				fprintf(text, "%d", ptrptrField[x][y]);
			}
			fprintf(text, "\n");
		}
		fclose(text);
		return 0;
	}
	else
	{
		return 1;
		fclose(text);
	}
}